Package com.independentsoft.graph.users

# Enum Class PresenceAvailability

java.lang.Object
java.lang.Enum<PresenceAvailability>
com.independentsoft.graph.users.PresenceAvailability

All Implemented Interfaces:
  `Serializable`, `Comparable<PresenceAvailability>`, `Constable`

public enum PresenceAvailability extends Enum<PresenceAvailability>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AVAILABLE`
  `AVAILABLE_IDLE`
  `AWAY`
  `BE_RIGHT_BACK`
  `BUSY`
  `BUSY_IDLE`
  `DO_NOT_DISTURB`
  `OFFLINE`
  `PRESENCE_UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PresenceAvailability`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PresenceAvailability[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AVAILABLE

    public static final PresenceAvailability AVAILABLE

  - ### AVAILABLE_IDLE

    public static final PresenceAvailability AVAILABLE_IDLE

  - ### AWAY

    public static final PresenceAvailability AWAY

  - ### BE_RIGHT_BACK

    public static final PresenceAvailability BE_RIGHT_BACK

  - ### BUSY

    public static final PresenceAvailability BUSY

  - ### BUSY_IDLE

    public static final PresenceAvailability BUSY_IDLE

  - ### DO_NOT_DISTURB

    public static final PresenceAvailability DO_NOT_DISTURB

  - ### OFFLINE

    public static final PresenceAvailability OFFLINE

  - ### PRESENCE_UNKNOWN

    public static final PresenceAvailability PRESENCE_UNKNOWN

- ## Method Details

  - ### values

    public static PresenceAvailability[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PresenceAvailability valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null